package main

import "mcquay.me/yay"

type Dance struct {
	yay.Sequence
}

func NewDance() *Dance {
	d := &Dance{
		yay.Sequence{
			Frames: [][]rune{
				[]rune(`<('o'<)  `),
				[]rune(`  ('-')  `),
				[]rune(`  (>'o')>`),
				[]rune(`  ('-')  `),
				[]rune(`  ('-')  `),
				[]rune(`  ('-')  `),
				[]rune(`  (>'o')>`),
			},
		},
	}
	return d
}

func main() {
	t := yay.NewViewPort(NewDance())
	t.Run()
}
